FsImageProto.INodeSection.XAttrCompactProtoOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeSection, interface: XAttrCompactProtoOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.INodeSection.XAttrCompactProtoOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.INodeSection.XAttrCompactProto`, `FsImageProto.INodeSection.XAttrCompactProto.Builder`

Enclosing class:
  FsImageProto.INodeSection

public static interface FsImageProto.INodeSection.XAttrCompactProtoOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getName()`
  [0:2) -- the namespace of XAttr (XAttrNamespaceProto) [2:26) -- the name of the entry, which is an ID that points to a string in the StringTableSection
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getValue()`
  `optional bytes value = 2;`
  `boolean`
  `hasName()`
  [0:2) -- the namespace of XAttr (XAttrNamespaceProto) [2:26) -- the name of the entry, which is an ID that points to a string in the StringTableSection
  `boolean`
  `hasValue()`
  `optional bytes value = 2;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasName

    boolean hasName()

         [0:2) -- the namespace of XAttr (XAttrNamespaceProto)
         [2:26) -- the name of the entry, which is an ID that points to a
         string in the StringTableSection.
         [26:27) -- namespace extension. Originally there were only 4 namespaces
         so only 2 bits were needed. At that time, this bit was reserved. When a
         5th namespace was created (raw) this bit became used as a 3rd namespace
         bit.
         [27:32) -- reserved for future uses.

    `required fixed32 name = 1;`
    Returns:
      Whether the name field is set.

  - ### getName

    int getName()

         [0:2) -- the namespace of XAttr (XAttrNamespaceProto)
         [2:26) -- the name of the entry, which is an ID that points to a
         string in the StringTableSection.
         [26:27) -- namespace extension. Originally there were only 4 namespaces
         so only 2 bits were needed. At that time, this bit was reserved. When a
         5th namespace was created (raw) this bit became used as a 3rd namespace
         bit.
         [27:32) -- reserved for future uses.

    `required fixed32 name = 1;`
    Returns:
      The name.

  - ### hasValue

    boolean hasValue()
    `optional bytes value = 2;`
    Returns:
      Whether the value field is set.

  - ### getValue

    org.apache.hadoop.thirdparty.protobuf.ByteString getValue()
    `optional bytes value = 2;`
    Returns:
      The value.